Bug 847679 - Kernel panic in snd_usb_audio @ release_urbs : unable to handle kernel NULL pointer dereference at 0000000000000070
Kernel panic in snd_usb_audio @ release_urbs : unable to handle kernel NULL p...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 05:25 EDT by Andrew Travneff
Modified: 2013-02-01 10:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 10:54:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (923.54 KB, text/x-log)
2012-08-13 05:25 EDT, Andrew Travneff
no flags Details
lsusb output for USB audio card (22.23 KB, text/plain)
2012-08-13 05:28 EDT, Andrew Travneff
no flags Details
dmesg output (8.46 KB, text/plain)
2012-09-09 13:30 EDT, Andrew Travneff
no flags Details

  None (edit)
Description Andrew Travneff 2012-08-13 05:25:47 EDT
Created attachment 603933 [details]
/var/log/messages

Happened after something like that (qmmp - audio player):

killall -STOP qmmp
sleep 2h
killall -STOP qmmp
sleep 10m
killall -CONT qmmp


Don't mind a lot of debug prints in kernel messages.

u->ep / u->ep->chip / u->urb pointers might be null in release_urb_ctx() inlined in release_urbs()

Audio card HW: Ibasso D7 (Sidewinder), lsusb output attached.

Kernel 3.5.1-1.fc17.x86_64
Comment 1 Andrew Travneff 2012-08-13 05:28:17 EDT
Created attachment 603934 [details]
lsusb output for USB audio card
Comment 2 Andrew Travneff 2012-09-09 13:30:52 EDT
Created attachment 611269 [details]
dmesg output

Happened again after video playback resume in mplayer. System almost recovered by itself after several seconds. Sound became broken and it wasn't possible to remove snd_usb_audio module even after device unplug:

# modprobe -r snd_usb_audio
FATAL: Module snd_usb_audio is in use.

# lsmod | grep usb
snd_usb_audio         130222  2 
snd_usbmidi_lib        24728  1 snd_usb_audio
snd_hwdep              17650  1 snd_usb_audio
snd_rawmidi            29531  1 snd_usbmidi_lib
snd_pcm                97292  6 snd_usb_audio,snd_ac97_codec,snd_intel8x0
snd                    79242  18 snd_usb_audio,snd_ac97_codec,snd_intel8x0,snd_hwdep,snd_timer,snd_pcm,snd_rawmidi,snd_usbmidi_lib,snd_seq_device

Kernel 3.5.3-1.fc17.x86_64
Comment 3 Josh Boyer 2013-01-02 12:51:15 EST
Are you still seeing this with 3.6.11 or newer?
Comment 4 Andrew Travneff 2013-01-02 14:40:25 EST
I'm on 3.6.10-4 (current version for f18) and for all the time I was using USB audio this bug have happened just a several times.
I'll update current issue if it happen at 3.6.11+
Comment 5 Justin M. Forbes 2013-02-01 10:54:57 EST
This bug is being closed because it has been set needinfo for more than 2 weeks without a response. If this is still an issue, please reopen and reply with the requested information.

Note You need to log in before you can comment on or make changes to this bug.